net.minecraft.client.gui

## Class FontRenderer

- java.lang.Object
- - net.minecraft.client.gui.FontRenderer

- All Implemented Interfaces:
    IResourceManagerReloadListener

      public class FontRenderer
      extends java.lang.Object
      implements IResourceManagerReloadListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `FONT_HEIGHT`
    `java.util.Random` | `fontRandom`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontRenderer(GameSettings par1GameSettings, ResourceLocation par2ResourceLocation, TextureManager par3TextureManager, boolean par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawSplitString(java.lang.String par1Str, int par2, int par3, int par4, int par5)`
    `int` | `drawString(java.lang.String par1Str, int par2, int par3, int par4)`
    `int` | `drawString(java.lang.String par1Str, int par2, int par3, int par4, boolean par5)`
    `int` | `drawStringWithShadow(java.lang.String par1Str, int par2, int par3, int par4)`
    `boolean` | `getBidiFlag()`
    `int` | `getCharWidth(char par1)`
    `int` | `getStringWidth(java.lang.String par1Str)`
    `boolean` | `getUnicodeFlag()`
    `java.util.List` | `listFormattedStringToWidth(java.lang.String par1Str, int par2)`
    `void` | `onResourceManagerReload(IResourceManager par1ResourceManager)`
    `void` | `setBidiFlag(boolean par1)`
    `void` | `setUnicodeFlag(boolean par1)`
    `int` | `splitStringWidth(java.lang.String par1Str, int par2)`
    `java.lang.String` | `trimStringToWidth(java.lang.String par1Str, int par2)`
    `java.lang.String` | `trimStringToWidth(java.lang.String par1Str, int par2, boolean par3)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FONT_HEIGHT

          public int FONT_HEIGHT

    - #### fontRandom

          public java.util.Random fontRandom

  - ### Constructor Detail

    - #### FontRenderer

          public FontRenderer(GameSettings par1GameSettings,
                      ResourceLocation par2ResourceLocation,
                      TextureManager par3TextureManager,
                      boolean par4)

  - ### Method Detail

    - #### onResourceManagerReload

          public void onResourceManagerReload(IResourceManager par1ResourceManager)

      Specified by:
        `onResourceManagerReload` in interface `IResourceManagerReloadListener`

    - #### drawStringWithShadow

          public int drawStringWithShadow(java.lang.String par1Str,
                                 int par2,
                                 int par3,
                                 int par4)

    - #### drawString

          public int drawString(java.lang.String par1Str,
                       int par2,
                       int par3,
                       int par4)

    - #### drawString

          public int drawString(java.lang.String par1Str,
                       int par2,
                       int par3,
                       int par4,
                       boolean par5)

    - #### getStringWidth

          public int getStringWidth(java.lang.String par1Str)

    - #### getCharWidth

          public int getCharWidth(char par1)

    - #### trimStringToWidth

          public java.lang.String trimStringToWidth(java.lang.String par1Str,
                                           int par2)

    - #### trimStringToWidth

          public java.lang.String trimStringToWidth(java.lang.String par1Str,
                                           int par2,
                                           boolean par3)

    - #### drawSplitString

          public void drawSplitString(java.lang.String par1Str,
                             int par2,
                             int par3,
                             int par4,
                             int par5)

    - #### splitStringWidth

          public int splitStringWidth(java.lang.String par1Str,
                             int par2)

    - #### setUnicodeFlag

          public void setUnicodeFlag(boolean par1)

    - #### getUnicodeFlag

          public boolean getUnicodeFlag()

    - #### setBidiFlag

          public void setBidiFlag(boolean par1)

    - #### listFormattedStringToWidth

          public java.util.List listFormattedStringToWidth(java.lang.String par1Str,
                                                  int par2)

    - #### getBidiFlag

          public boolean getBidiFlag()